## gnustep-gui 0.30.0

=== debian/changelog ===
gnustep-gui (0.30.0-3build8) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 06:17:15 +0000

gnustep-gui (0.30.0-3build7) noble; urgency=medium

  * No-change rebuild against libcups2t64.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 20 Mar 2024 13:48:59 +1300

gnustep-gui (0.30.0-3build6) noble; urgency=medium

  * Rebuild against new libsphinxbase3t64.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 15 Mar 2024 12:31:28 +0100

gnustep-gui (0.30.0-3build5) noble; urgency=medium

  * No-change rebuild against libpng16-16t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Feb 2024 06:46:18 +0000

gnustep-gui (0.30.0-3build4) noble; urgency=medium

  * Rebuild against latest imagemagick

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 18 Feb 2024 13:05:24 -0500

gnustep-gui (0.30.0-3build3) noble; urgency=medium

  * No-change rebuild for ICU soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Dec 2023 18:38:15 +0100

gnustep-gui (0.30.0-3build2) mantic; urgency=medium

  * Rebuild against new gnustep-base 1.29.0.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 21 Jun 2023 20:12:59 +0200

gnustep-gui (0.30.0-3build1) mantic; urgency=medium

  * Rebuild against libgnustep-base1.29.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 18 Jun 2023 11:43:39 +0200

gnustep-gui (0.30.0-3) unstable; urgency=medium

  * Upload to unstable.
  * debian/gbp.conf: Remove debian-branch.
  * debian/patches/build-fix.patch: Fix doc build by defining
    APPKIT_EXPORT_CLASS to the empty string.
  * debian/patches/NSSound-header.patch: Mark as Applied-Upstream.
  * debian/templates/control.m4 (Build-Depends): Enable architectures
    where pocketsphinx is now available: mips64el, mipsel, alpha, ia64.
  * debian/control: Regenerate.

 -- Yavor Doganov <yavor@gnu.org>  Sat, 17 Jun 2023 08:52:48 +0300

gnustep-gui (0.30.0-2) experimental; urgency=medium

  * debian/rules (v_base): Bump to 1.29.
    (override_dh_auto_configure): Delete manpages from -common's .install
    file if "nodoc" is set.  Conditionally create -doc's .install/.links.
    (override_dh_auto_build-indep): Enclose documentation-related commands
    within an appropriate nodoc conditional to support "nodoc".
    (override_dh_auto_install-indep): Likewise.
  * debian/templates/control.m4 (Build-Depends-Indep): Annotate all with
    <!nodoc>; they are only needed for building documentation.
    (gnustep-gui-doc) <Build-Profiles>: Set to <!nodoc>.
  * debian/control: Regenerate.
  * debian/gnustep-gui-doc.links: Rename as...
  * debian/templates/gnustep-gui.doc.links.in: ...to support "nodoc".
  * debian/clean: Add gnustep-gui-doc.links.
  * debian/patches/NSSound-header.patch: New; fix compiler error when
    #import'ing NSSound.h (Closes: #1028185).
  * debian/changelog: Fix typo in previous entry.

 -- Yavor Doganov <yavor@gnu.org>  Thu, 23 Feb 2023 19:50:33 +0200

gnustep-gui (0.30.0-1) experimental; urgency=medium

  * New upstream release:
    - SONAME change: libgnustep-gui0.29 -> 0.30.
    - Fixes memory leak in NSPopUpButtonCell (Closes: #1001537).
  * debian/gbp.conf: Set debian-branch to experimental.
  * debian/templates/control.m4 (Standards-Version): Claim compliance with
    4.6.2; no changes needed.
  * debian/control: Regenerate, reflecting the new SONAME.
  * debian/patches/build-fix.patch: New; revert upstream commit:857c173
    and fix doc build.
  * debian/patches/series: Update.
  * debian/copyright: Update copyright years.

 -- Yavor Doganov <yavor@gnu.org>  Thu, 05 Jan 2023 13:54:36 +0200
