## gnustep-gui 0.31.1

=== debian/changelog ===
gnustep-gui (0.31.1-10build1) plucky; urgency=medium

  * Rebuild against new multiarch framework.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 12 Feb 2025 23:28:40 +0100

gnustep-gui (0.31.1-10) unstable; urgency=medium

  * debian/templates/control.m4 (libgnustep-gui`'SOV_GUI) <Breaks>: Add
    gnustep-dl2 (<< 0.12.0+git20171224-4) to assist britney.
  * debian/control: Regenerate.
  * debian/upstream/metadata: Add missing marker.

 -- Yavor Doganov <yavor@gnu.org>  Mon, 10 Feb 2025 13:48:37 +0200

gnustep-gui (0.31.1-9) unstable; urgency=medium

  * debian/tests/file-tests: Update for multiarch.
  * debian/rules (v_base): Bump to 1.30.0-12; the testsuite autopkgtest
    will fail with older versions.
  * debian/control: Regenerate.

 -- Yavor Doganov <yavor@gnu.org>  Wed, 29 Jan 2025 14:47:23 +0200

gnustep-gui (0.31.1-8) unstable; urgency=medium

  * Upload to unstable.
  * debian/gbp.conf: Remove debian-branch.
  * debian/rules (execute_before_dh_link): Move dh_gnustep
    --remaining-packages invocation within the conditional.
  * debian/templates/control.m4 (libgnustep-gui-dev) <Recommends>: Promote
    gnustep-gui-doc from Suggests.
  * debian/control: Regenerate.

 -- Yavor Doganov <yavor@gnu.org>  Tue, 28 Jan 2025 07:36:00 +0200

gnustep-gui (0.31.1-7) experimental; urgency=medium

  * debian/gbp.conf: Set debian-branch to experimental.
  * debian/rules (v_base): Bump to 1.30.0-10 for multiarch support.
    (execute_before_dh_link): Pass -p$(p_run) to dh_gnustep when doing a
    full build to ensure that the symlinks are created there.
  * debian/templates/control.m4 (Build-Depends): Drop gnustep-make; the
    required gnustep-base version already depends on 2.9.2-5.
    (gnustep-gui-common, gnustep-gui-runtime): Set Multi-Arch: foreign.
    (libgnustep-gui`'SOV_GUI): Set Multi-Arch: same.
    <Breaks>: Add gnustep-back`'SOV_GUI (<< 0.31.0-5) to ensure that they
    are upgraded together with multiarch-based -back.  Failing that, all
    apps will die with exception for not being able to load the backend.
    (libgnustep-gui-dev): Set Multi-Arch: same.
  * debian/control: Regenerate.
  * debian/gnustep-gui-common.install: Update for multiarch.
  * debian/gnustep-gui-runtime.install: Likewise.
  * debian/libgnustep-gui-dev.install: Likewise.
  * debian/templates/libgnustep-guiN.install.in: Likewise.
  * debian/not-installed: Likewise (Closes: #1093950).
  * debian/gnustep-gui-doc.lintian-overrides: Delete; lintian got fixed.
  * debian/upstream/metadata: New file.
  * debian/watch: Remove pasv option; we no longer use FTP.
  * debian/copyright: Update copyright years.

 -- Yavor Doganov <yavor@gnu.org>  Sat, 25 Jan 2025 13:23:00 +0200

gnustep-gui (0.31.1-6) unstable; urgency=medium

  * Run wrap-and-sort -ast.
  * debian/templates/control.m4 (Build-Depends): Replace
    libmagickcore-6.q16-dev with libmagickcore-7.q16-dev (Closes: #1086562).
  * debian/control: Regenerate.

 -- Yavor Doganov <yavor@gnu.org>  Sat, 02 Nov 2024 09:19:26 +0200

gnustep-gui (0.31.1-5) unstable; urgency=medium

  * debian/rules (override_dh_auto_configure): Stop generating files with
    constant names from templates with variables having constant values.
    Do not involve sed where a simple copy operation is sufficient.
    (override_dh_install): Remove override.  All stamp.make files are
    automatically deleted by dh_gnustep now.
    (execute_before_dh_link): New target; run dh_gnustep.
    (override_dh_fixperms): Remove; automatically generated .desktop files
    are deleted by dh_gnustep now.
    (DEBIAN_GNUSTEP_PIXMAPS, DEBIAN_GNUSTEP_SOUNDS)
    (DEBIAN_GNUSTEP_USRSHARE): No longer define.
  * debian/templates/control.m4 (Build-Depends): Add gnustep-make
    (>= 2.9.2-4) for dh_gnustep's --bundle-dir.  Replace libmagickcore-dev
    with libmagickcore-6.q16-dev.
    (gnustep-gui-common): Add appropriate Breaks/Replaces on
    gnustep-gui-runtime as some files are moved.
  * debian/control: Regenerate.
  * debian/templates/gnustep-gui-common.install.in: Rename as...
  * debian/gnustep-gui-common.install: ...since generating it is
    pointless.  Don't install in /usr/share; let dh_gnustep do its job.
  * debian/templates/gnustep-gui-runtime.install.in: Rename as...
  * debian/gnustep-gui-runtime.install: ...as above.  Skip Resources for
    apps and ColorPickers as they are being moved by dh_gnustep.
  * debian/templates/libgnustep-gui-dev.install.in: Rename as...
  * debian/libgnustep-gui-dev.install: ...as above.
  * debian/templates/gnustep-gui-runtime.links.in: Delete; no point to
    make links for the images as we now move the whole Resources.
  * debian/templates/gnustep-gui-doc.install.in: Replace @GS_DOC@.
  * debian/templates/libgnustep-guiN.install.in: Replace @GS_LIBS@.
  * debian/templates/libgnustep-guiN.maintscript.in: Delete; not needed.
  * debian/clean: Remove files that are no longer generated.
  * debian/tests/adequate: New test.
  * debian/templates/tests-control.m4 (Tests): Add new test.
    (Depends): Add adequate and debhelper.
  * debian/tests/control: Regenerate.
  * debian/watch: Use HTTPS protocol.
  * debian/gnustep-gui-doc.lintian-overrides: New file; override
    package-contains-documentation-outside-usr-share-doc (too much noise).
  * debian/fix.scanned.copyright: Delete; unused these days.
  * debian/fill.copyright.blanks.yml: Likewise.
  * debian/copyright-scan-patterns.yml: Likewise.
  * debian/source/local-options: Delete; I can't see any benefit.
  * debian/copyright: Switch main license to LGPL-2.1+; this has been done
    upstream a long time ago although most license statements are still
    not updated.  Remove redundant stanzas.  Add GPL-3+ with Bison-2.2
    exception for TextConverters/RTF/rtfGrammar.tab.*.  Add FSFAP stanza
    for files under this license and FSFAP text.  Remove GPL-2+, LGPL-2+
    and LGPL-3+; add LGPL-2.1+.

 -- Yavor Doganov <yavor@gnu.org>  Thu, 15 Aug 2024 22:27:39 +0300


