=== debian/tests/control ===
# -*-debian-autopkgtest-control-*-
# NOTE: debian/tests/control is generated from
# debian/templates/tests-control.m4
Tests: adequate file-tests testsuite
Restrictions: allow-stderr
Depends: @, adequate, debhelper, shunit2, file, gnustep-back0.31-headless
