=== debian/watch ===
version=4
opts="pgpsigurlmangle=s%$%.sig%" \
https://ftp.gnustep.org/pub/gnustep/core/ \
   (?:|.*/)gnustep-gui(?:[_\-]v?|)(\d[^\s/]*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz) debian uupdate
