## gnustep-gui 0.32.0

=== debian/changelog ===
gnustep-gui (0.32.0-3) unstable; urgency=medium

  * debian/tests/testsuite: Set ADDITIONAL_INCLUDE_DIRS and use local
    headers; one new test imports a private header so the build fails.
  * debian/patches/tests-system-headers.patch: Delete.

 -- Yavor Doganov <yavor@gnu.org>  Sat, 01 Mar 2025 06:21:44 +0200

gnustep-gui (0.32.0-2) unstable; urgency=medium

  * Upload to unstable.
  * debian/gbp.conf: Remove debian-branch.
  * debian/templates/control.m4 (Standards-Version): Claim compliance with
    4.7.2; no actual changes needed.
  * debian/control: Regenerate.

 -- Yavor Doganov <yavor@gnu.org>  Fri, 28 Feb 2025 11:51:53 +0200

gnustep-gui (0.32.0-1) experimental; urgency=medium

  * New upstream release:
    + SONAME change: libgnustep-gui0.31 -> 0.32.
  * debian/gbp.conf: Set debian-branch to experimental.
  * debian/rules (v_base): Bump to 1.31.
    (override_dh_auto_configure): Remove --disable-icu-config; option gone.
  * debian/templates/control.m4 (libgnustep-gui`'SOV_GUI) <Breaks>: Remove
    gnustep-back`'SOV_GUI (<< 0.31.0-5); no longer needed.
  * debian/control: Regenerate, reflecting the SONAME change.
  * debian/tests/control: Likewise.
  * debian/patches/build-fix.patch: Refresh.
  * debian/patches/tests-main-return.patch: Delete; present upstream.
  * debian/patches/test-GSXib5KeyedUnarchiver-menu.patch: Likewise.
  * debian/source/lintian-overrides: New file; override lintian W:
    autotools-pkg-config-macro-not-cross-compilation-safe, false positive.
  * debian/copyright: Add general comment about the outdated license
    notices.  Update copyright years.

 -- Yavor Doganov <yavor@gnu.org>  Thu, 13 Feb 2025 16:14:12 +0200
