=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
  libaspell-dev,
  libcups2-dev,
  libgif-dev,
- libgnustep-base-dev (>= 1.30.0-12),
+ libgnustep-base-dev (>= 1.31),
  libicns-dev,
  libicu-dev,
  libjpeg-dev,
@@ -33,7 +33,7 @@
  texlive-base <!nodoc>,
  texlive-latex-base <!nodoc>,
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/gnustep-team/gnustep-gui
 Vcs-Git: https://salsa.debian.org/gnustep-team/gnustep-gui.git
 Homepage: http://gnustep.org
@@ -42,7 +42,7 @@
 Architecture: all
 Multi-Arch: foreign
 Depends:
- gnustep-base-common (>= 1.30.0-12),
+ gnustep-base-common (>= 1.31),
  ${misc:Depends},
 Breaks:
  gnustep-gui-runtime (<< 0.31.1-5),
@@ -72,7 +72,7 @@
  This package contains the runtime support files needed by GNUstep GUI
  applications.
 
-Package: libgnustep-gui0.31
+Package: libgnustep-gui0.32
 Architecture: any
 Section: libs
 Multi-Arch: same
@@ -83,7 +83,6 @@
 Recommends:
  gnustep-gui-runtime (= ${binary:Version}),
 Breaks:
- gnustep-back0.31 (<< 0.31.0-5),
  gnustep-dl2 (<< 0.12.0+git20171224-4),
 Description: GNUstep GUI Library
  The GNUstep GUI library is a powerful library of graphical user interface
@@ -101,8 +100,8 @@
 Multi-Arch: same
 Depends:
  gnustep-gui-runtime (= ${binary:Version}),
- libgnustep-base-dev (>= 1.30.0-12),
- libgnustep-gui0.31 (= ${binary:Version}),
+ libgnustep-base-dev (>= 1.31),
+ libgnustep-gui0.32 (= ${binary:Version}),
  ${misc:Depends},
 Recommends:
  gnustep-gui-doc,
