=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 ##### VERSION NUMBERS #################################
 
 # GNUstep Base version:
-v_base  := 1.30.0-12
+v_base  := 1.31
 
 # GNUstep Gui/Back version:
 v_gui   := $(shell . ./Version; echo $$VERSION)
@@ -58,7 +58,6 @@
 	cp debian/templates/libgnustep-guiN.install.in debian/$(p_lib).install
 	cp debian/templates/libgnustep-guiN.docs.in debian/$(p_lib).docs
 	dh_auto_configure -- \
-	  --disable-icu-config \
 	  --enable-imagemagick
 
 override_dh_auto_build-arch:
